#!/bin/bash -e
export IMAGE_TYPE="$1"
source dependencies.sh

# Global version file
VERSION_FILE="version.json"

# Initialize the global version file
echo "{" > "$VERSION_FILE"

echo "Installing deps $DEPS"
IFS=" " read -ra dep_functions <<< "$DEPS"


for func in "${dep_functions[@]}"; do
    function_name="install_$func"
    if [ "$(type -t "$function_name")" = "function" ]; then
        echo "Added function $func for execution to Packer"
        "$function_name"
    fi
done

# Remove the trailing comma from the version file
sed -i '$ s/,$//' "$VERSION_FILE"

# Add the closing curly brace
echo "}" >> "$VERSION_FILE"

cat $VERSION_FILE